Subject: Re: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jul 2016 20:50:25 +0300

> Date: Sun, 10 Jul 2016 10:28:17 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > The system where I tried doesn't have a font that supports the
> > characters whose codepoint is the result of the evaluation, u+09D5.
> > That character belongs to the Bengali block.
> >
> > Can you see which font(s) you have installed that support that block?
> 
> I have no idea how to do that.  If it is easy and quick to do, I can
> try.  Please let me know what to do.

This page says how to display all the install fonts:

  http://superuser.com/questions/866189/deterministic-way-to-find-which-installed-fonts-support-a-given-unicode-characte

This page lists all the fonts that come with Windows, including which
scripts each font supports:

  https://en.wikipedia.org/wiki/List_of_typefaces_included_with_Microsoft_Windows

By comparing the list of installed fonts with the list of fonts that
comes with your version of Windows, you can identify the fonts that
didn't come out of the box -- I'm guessing that one of them is the
culprit.

This page lists fonts that support Bengali:

  http://salrc.uchicago.edu/resources/fonts/available/bengali/

Can you tell which ones are installed on your system?

On my system, Emacs uses Vrinda to display Bengali, and it doesn't
crash for HELLO.

> > Also, does Emacs display the Bengali greeting in etc/HELLO?  If it
> > does, you can use "C-u C-x =" on that part of HELLO to show the font
> > Emacs uses.
> 
> First, `C-h h' also crashes immediately.
> 
> Second, trying to visit file etc/HELLO also crashes immediately.

Can you remove the Bengali parts from HELLO and try again?